<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Notice Panel
| Filename: fp_notice_panel_admin.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."fp_notice_panel/includes/notice-styles.php";
require_once INCLUDES."bbcode_include.php";
if (!checkrights("NOT")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."fp_notice_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_notice_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_notice_panel/locale/English.php";
}
include INFUSIONS."fp_notice_panel/infusion_db.php";

$new_msg = "";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$noticesettings = dbarray(dbquery("SELECT * FROM ".DB_NOTICE_TABLE.""));
$error = 0;

if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_NOTICE_TABLE." SET
	noenable='".(isNum($_POST['noenable']) ? $_POST['noenable'] : "0")."',
	type_notice='".(isNum($_POST['type_notice']) ? $_POST['type_notice'] : "0")."',
	new_msg='".addslash(descript($_POST['new_msg']))."',
	cookie_notice='".(isNum($_POST['cookie_notice']) ? $_POST['cookie_notice'] : "0")."'
	");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

		opentable($locale['np001']);
		echo"<center><div class='admin-message'>".$locale['np_amsg01']."</div></center>\n";
		echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
		echo "<td width='30%' class='tbl'align='left' valign='top'>".$locale['np003']."</td>\n";
		echo "<td width='60%' class='tbl'><select name='noenable' class='textbox'>\n";
		echo "<option value='1'".($noticesettings['noenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
		echo "<option value='0'".($noticesettings['noenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";

		echo"<tr>\n";
		echo "<td width='30%' class='tbl'align='left' valign='top'>".$locale['np022']."</td>\n";
		echo "<td width='60%' class='tbl'><select name='type_notice' class='textbox'>\n";
		echo "<option value='0'".($noticesettings['type_notice'] == "0" ? " selected='selected'" : "").">".$locale['np023']."</option>\n";
		echo "<option value='1'".($noticesettings['type_notice'] == "1" ? " selected='selected'" : "").">".$locale['np024']."</option>\n";
		echo "<option value='2'".($noticesettings['type_notice'] == "2" ? " selected='selected'" : "").">".$locale['np025']."</option>\n";
		echo "<option value='3'".($noticesettings['type_notice'] == "3" ? " selected='selected'" : "").">".$locale['np026']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";

$cookie_notice = array(
		0 => "0",
		1 => "600", // 10 Mins
		2 => "86400", // 1 Day // 24 hours
		3 => "259200", //3 Days
		4 => "604800", // 7 Days // 1 Week
		5 => "1209600" // 14 Days // 2 Weeks
);

		echo "<td class='tbl' align='left' width='30%' valign='top'>".$locale['np019']."</td>";
		echo "<td class='tbl' align='left'>";
		echo "<select name='cookie_notice' class='textbox'>";
		echo "<option value='".$cookie_notice['0']."'".($noticesettings['cookie_notice'] == "".$cookie_notice['0']."" ? " selected" : "").">".$locale['np006']."</option>";
		echo "<option value='".$cookie_notice['1']."'".($noticesettings['cookie_notice'] == "".$cookie_notice['1']."" ? " selected" : "").">".$locale['np007']."</option>";
		echo "<option value='".$cookie_notice['2']."'".($noticesettings['cookie_notice'] == "".$cookie_notice['2']."" ? " selected" : "").">".$locale['np008']."</option>";
		echo "<option value='".$cookie_notice['3']."'".($noticesettings['cookie_notice'] == "".$cookie_notice['3']."" ? " selected" : "").">".$locale['np009']."</option>";
		echo "<option value='".$cookie_notice['4']."'".($noticesettings['cookie_notice'] == "".$cookie_notice['4']."" ? " selected" : "").">".$locale['np010']."</option>";
		echo "<option value='".$cookie_notice['5']."'".($noticesettings['cookie_notice'] == "".$cookie_notice['5']."" ? " selected" : "").">".$locale['np011']."</option>";
		echo "</select>\n";
		echo "</td>\n";
		echo "</tr>\n<tr>\n";

		echo "<td class='tbl' align='left'  width='30%' valign='top'>".$locale['np004']."<br /></td><td class='tbl'><textarea rows='5' name='new_msg' class='textbox' style='width:400px'>".stripslashes($noticesettings['new_msg'])."</textarea><br />\n";
		echo display_bbcodes("340px", "new_msg", "settingsform", "smiley|url|img|b|i|u|left|center|right|small|big|color")."\n";
		echo "</td>\n";
		echo "</tr>\n</tr>\n";


		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' name='savesettings' value='".$locale['np005']."' class='button' />\n";
		echo "</td></tr>\n";

		echo "</table>\n";

		echo "</form>\n";
		echo"<p><center><div class='admin-message'> "; 
if($noticesettings['type_notice'] == "0") {
        echo"".$locale['np023']."";
}elseif($noticesettings['type_notice'] == "1") {
        echo"".$locale['np024']."";
}elseif($noticesettings['type_notice'] == "2") {
        echo"".$locale['np025']."";
}elseif($noticesettings['type_notice'] == "3") {
        echo"".$locale['np026']."";
}

		echo" ".$locale['np_amsg02']."</p></div></center>\n";
		echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
		echo "<td width='30%' class='tbl'align='left' valign='top'>"; 


if ($noticesettings['type_notice'] == "0") {
        echo"<div class='info'><br />";
}
if ($noticesettings['type_notice'] == "1") {
        echo"<div class='warning'><br />";
}
if ($noticesettings['type_notice'] == "2") {
        echo"<div class='success'><br />";
}
if ($noticesettings['type_notice'] == "3") {
        echo"<div class='error'><br />";
}


$noticemessage = nl2br(parseubb(parsesmileys($noticesettings['new_msg']), "smiley|url|img|b|i|u|left|center|right|small|big|color"));
        echo $noticemessage."\n";

if ($noticesettings['cookie_notice'] !== "0") {


        echo"<div align='right' style='valign:middle;' class='small'>";
if ($noticesettings['cookie_notice'] == '600') {
        echo $locale['np027'];
}
if ($noticesettings['cookie_notice'] == '86400') {
        echo $locale['np028'];
}
if ($noticesettings['cookie_notice'] == '259200') {
        echo $locale['np029'];
}
if ($noticesettings['cookie_notice'] == '604800') {
        echo $locale['np030'];
}
if ($noticesettings['cookie_notice'] == '1209600') {
        echo $locale['np031'];
}

        echo"</div>\n";

}
        echo"</div><br />\n";



		echo"</td></tr></table>"; 
		echo"<center><div class='admin-message'>".$locale['np_amsg03']."</div></center>\n";
		echo"<center><div style='text-align:left;' class='tbl2'>";
		echo $locale['np002'];
		echo"</div></center>\n";

        echo"<hr width='70%'></hr>\n";

 // Please do not remove copyright info 
 include INFUSIONS."fp_notice_panel/includes/copyright_func.php";
        echo showFP_notice_panelcopyright();
// End copyright info
closetable();


require_once THEMES."templates/footer.php";
?>