<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| FP Notice Panel
| Filename: notice-styles.php
| Author:  Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_notice_panel/infusion_db.php";

$noticesettings = dbarray(dbquery("SELECT * FROM ".DB_NOTICE_TABLE));


if ($noticesettings['cookie_notice'] !== "0") {

			add_to_head("<style type='text/css'>
			.button-notice {
			background: url(".BASEDIR."infusions/fp_notice_panel/images/close.png);
			background-repeat: no-repeat;
			border : 0px solid #ccc;
			width: 17px;
			height: 17px;
			padding-bottom: 0px;
			padding-left: 2px;
			}
			.button-notice:hover {
			background: url(".BASEDIR."infusions/fp_notice_panel/images/close.png);
			opacity: 0.6;
			background-repeat: no-repeat;
			border : 0px solid #ccc;
			width: 17px;
			height: 17px;
			padding-bottom:0px;
			padding-left: 2px;
			}
			</style>");
			
}

if ($noticesettings['type_notice'] == "0") {

		    add_to_head("<style type='text/css'>
			.info {
			border: 1px solid;
			margin: 1px 0px;
			padding: 0px 0px 14px 40px;
			background-repeat: no-repeat;
			background-position: 10px center;
			color: #00529B;
			background-color: #BDE5F8;
			background-image: url(".BASEDIR."infusions/fp_notice_panel/images/info.png);
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			}
			</style>");
			
}

if ($noticesettings['type_notice'] == "1") {

		    add_to_head("<style type='text/css'>
			.warning {
			border: 1px solid;
			margin: 1px 0px;
			padding: 0px 0px 14px 40px;
			background-repeat: no-repeat;
			background-position: 10px center;
			color: #9F6000;
			background-color: #FEEFB3;
			background-image: url(".BASEDIR."infusions/fp_notice_panel/images/warning.png);
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			}
			</style>");
			
}

if ($noticesettings['type_notice'] == "2") {

			add_to_head("<style type='text/css'>
			.success {
			border: 1px solid;
			margin: 1px 0px;
			padding: 0px 0px 14px 40px;
			background-repeat: no-repeat;
			background-position: 10px center;
			color: #4F8A10;
			background-color: #DFF2BF;
			background-image:url(".BASEDIR."infusions/fp_notice_panel/images/success.png);
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			}
			</style>");
			
}

if ($noticesettings['type_notice'] == "3") {

			add_to_head("<style type='text/css'>
			.error {
			border: 1px solid;
			margin: 1px 0px;
			padding: 0px 0px 14px 40px;
			background-repeat: no-repeat;
			background-position: 10px center;
			color: #D8000C;
			background-color: #FFBABA;
			background-image: url(".BASEDIR."infusions/fp_notice_panel/images/error.png);
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			}
			</style>");
			
}

?>
