<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_notice_panel/infusion_db.php";

if (file_exists(INFUSIONS."fp_notice_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_notice_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_notice_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['np001'];
$inf_description = $locale['np002b'];
$inf_version = "1.01";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "fp_notice_panel";

$inf_newtable[1] = DB_NOTICE_TABLE." (
noenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
type_notice TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
new_msg TEXT NOT NULL,
cookie_notice INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (noenable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_NOTICE_TABLE." (noenable, type_notice, new_msg, cookie_notice) VALUES('0', '0', '".$locale['np020']."', '".$locale['np007']."')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['np001']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_order='1', panel_type='file', panel_access='101', panel_display='1', panel_status='1'";
$inf_droptable[1] = DB_NOTICE_TABLE;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='fp_notice_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['np001'],
	"image" => "fp_notice_panel.gif",
	"panel" => "fp_notice_panel_admin.php",
	"rights" => "NOT"
);


?>