<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Notice Panel
| Filename: fp_notice_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_notice_panel/infusion_db.php";

if (file_exists(INFUSIONS."fp_notice_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_notice_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_notice_panel/locale/English.php";
}

$noticesettings = dbarray(dbquery("SELECT * FROM ".DB_NOTICE_TABLE));


if ($noticesettings['noenable'] == "1")  { 

include INFUSIONS."fp_notice_panel/includes/notice-styles.php";

if (!isset($_COOKIE['fp_notice_panel'])) {

if (isset($_POST['accept'])) { setcookie("fp_notice_panel", "accept", time()+$noticesettings['cookie_notice']);}

			if ($noticesettings['type_notice'] == "0") {
			echo"<div class='info'><br />";
			}
			if ($noticesettings['type_notice'] == "1") {
			echo"<div class='warning'><br />";
			}
			if ($noticesettings['type_notice'] == "2") {
			echo"<div class='success'><br />";
			}
			if ($noticesettings['type_notice'] == "3") {
			echo"<div class='error'><br />";
			}

			$noticemessage = nl2br(parseubb(parsesmileys($noticesettings['new_msg']), "smiley|url|img|b|i|u|left|center|right|small|big|color"));
			echo $noticemessage."\n";

if ($noticesettings['cookie_notice'] !== "0") {

			echo "<form name='fp_notice_panel' method='post' action='".BASEDIR."notice_redirect.php'>\n";
			echo"<div align='right' style='valign:middle;' class='small'>\n";
			if ($noticesettings['cookie_notice'] == '600') {
			echo $locale['np027'];
			}
			if ($noticesettings['cookie_notice'] == '86400') {
			echo $locale['np028'];
			}
			if ($noticesettings['cookie_notice'] == '259200') {
			echo $locale['np029'];
			}
			if ($noticesettings['cookie_notice'] == '604800') {
			echo $locale['np030'];
			}
			if ($noticesettings['cookie_notice'] == '1209600') {
			echo $locale['np031'];
			}
			echo"&nbsp;<input type='submit' name='accept' title='".$locale['np032']."' value='' class='button-notice'>\n";

			echo"</div>\n";
			echo"</form>\n";
}
            echo"</div><br />\n";

}
}

?>